// Gmsh project created on Tue Jan 23 06:21:01 2024
SetFactory("OpenCASCADE");
//+
Circle(1) = {0., 0., 0., 0.5, 0, 2*Pi};
//+
Circle(2) = {0., 0., 0., 0.5, 0, 2*Pi};
//+
Circle(3) = {0., 0., 0., 1.0, 0, 2*Pi};
//+
Curve Loop(11) = {1};
//+
Curve Loop(12) = {2};
//+
Curve Loop(13) = {3};
//+
Plane Surface(21) = {11};
//+
Plane Surface(22) = {13,12};
//+
Physical Surface("inner_surf", 31) = {21};
//+
Physical Surface("outer_surf", 32) = {22};
//+
Physical Curve("small_circle", 33) = {1};
//+
Physical Curve("other", 34) = {2,3};
//+
Physical Curve("large_circle", 35) = {3};
//+
Field[1] = Constant;
//+
Field[1].SurfacesList = {21, 22};
